Subject: bug#6568: 23.2; easypg opens blank buffer when password is incorrect

From: Leo <[email-masked]>
Date: Wed, 07 Jul 2010 10:53:50 +0100

On 2010-07-07 10:20 +0100, Daiki Ueno wrote:
> Leo <[email-masked]> writes:
>
>> On 2010-07-06 09:47 +0100, Daiki Ueno wrote:
>> I have just tested the patch with emacs 23.2 and as far as I can see the
>> blank buffer is still opened with incorrect passwords or typing C-g at
>> the password prompt.
>
> Hmm, using the same version and having epa-file.el manually eval'ed, it
> works for me.

The patch seems to work beautifully. Thanks.

What I did last time was 'emacs -q -L EMACS_SRC/lisp' but I might have
compiled the wrong elisp file. Sorry about this.

>> Is it plausible to just signal a 'password-error?
>
> No - because epa-file-insert-file-contents may be called not only from
> find-file but also from functions which expect file-error rather than
> password-error.
>
> Regards,

Regards,

Leo